@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap");

* {
  margin: 0px;
  padding: 0px;
}

.cabecalho {
  background: linear-gradient(to right, #0a2d7a, #224694, #041437);
  position: fixed;
  width: 100%;
  display: flex;
  flex: left;
  padding: 10px 0;
  z-index: 10;
}

.logo {
  margin-left: 160px;
  width: 10%;
}

.links {
  list-style: none;
  display: flex;
  float: left;
  padding: 0px;
  margin: 0px;
  position: relative;
  left: 15%;
  align-items: center;
  margin-right: 10%;
}

.links li a {
  text-decoration: none;
  font-size: 1.8em;
  font-family: "Ubahn", sans-serif;
  color: #fff;
  transition: 0.5s ease;
  padding: 4px;
  border-radius: 12px;
}

.links li a:hover {
  color: #7ac4ff;
  background-color: #040a26;
}

.links li {
  margin-left: 55px;
  border-bottom: 0;
  transition: 0.1s ease-in-out;
}

.links li:hover {
  border-bottom: 2px solid black;
  margin-bottom: 10px;
  padding-bottom: 8px;
}

.download-btn {
  width: 35%;
  height: 40px;
  border-radius: 10px;
  border: none;
  border: 3px solid rgb(41, 73, 253);
  background: #000;
  font-size: 1em;
  font-weight: bold;
  transition: 0.5s ease-in-out;
  margin-bottom: 20px;
  outline: none;
}

.download-btn:hover {
  border: 3px solid aqua;
  color: rgb(0, 209, 209);
}

.download-btn a {
  color: #fff;
  text-decoration: none;
}

/*PARALLAX*/
body {
  word-wrap: break-word;
  overflow-wrap: break-word;
}

h1,
h2 {
  font-weight: 900;
  color: black;
}

h2 {
  font-size: 2.5em;
  color: #fff;
}

.wrapper {
  width: 100%;
  margin: 0 auto;
}

main {
  display: block;
  background-color: #fff;
}

.container {
  width: 100%;
  max-width: 760px;
  margin: 0 auto;
  padding: 0 20px;
}

section.txtColor p {
  margin-bottom: 40px;
  color: #fff;
}

section.module:last-child {
  margin-bottom: 0;
}

section.module.content {
  padding: 40px 0;
  background: linear-gradient(
    to bottom,
    #000,
    #01061b,
    #020820,
    #040a26,
    #020820,
    #01061b,
    #000
  );
}

section.module.parallax {
  display: flex;
  flex-direction: column;
  height: 100vh !important;
  width: 100%;
  position: relative;
  overflow: hidden;
  background-position: 50% 50%;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
}

section.module.parallax::after {
  content: "";
  height: 100%;
  width: 100%;
  position: absolute;
  z-index: 8;
  background: linear-gradient(
    to bottom,
    rgba(0, 0, 0, 0) 0,
    rgba(0, 0, 0, 0) 70%,
    #000 100%
  );
  background: -webkit-linear-gradient(
    to bottom,
    rgba(0, 0, 0, 0) 0,
    rgba(0, 0, 0, 0) 40%,
    #000 100%
  );
  background: -moz-linear-gradient(
    to bottom,
    rgba(0, 0, 0, 0) 0,
    rgba(0, 0, 0, 0) 40%,
    #000 100%
  );
  background: -o-linear-gradient(
    to bottom,
    rgba(0, 0, 0, 0) 0,
    rgba(0, 0, 0, 0) 40%,
    #000 100%
  );
}

section.module.parallax-1 {
  background-image: url("../images/parallax1.png");
  background-size: cover;
}

section.module.parallax-2 {
  background-image: url("../images/parallax2.png");
}

section.module.parallax-3 {
  background-image: url("../images/parallax3.png");
}

.container {
  font-family: "Poppins", sans-serif;
}

.projetos {
  margin-top: 4%;
  display: flex;
  flex-wrap: wrap;
}

.projeto {
  margin: 10px;
  width: calc(50% - 12px);
  margin: 5px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.imgProjeto {
  position: relative;
  margin: 0 auto;
  width: 250px;
  margin: 10px;
  border-left: 10px solid #53c1de;
  border-radius: 0 5px 5px 0;
}

.textosProjeto {
  text-align: center;
  opacity: 0;
  max-height: 0;
  overflow: hidden;
  transition: opacity 0.5s ease-in-out, max-height 0.5s ease-in-out;
  background: linear-gradient(to bottom, #224694, #143375, #0b2661);
  border-radius: 6px;
  padding: 10px;
}

/* .projeto:hover .textosProjeto {
  opacity: 1;
  max-height: 500px;
} */

.textosProjeto h2 {
  font-size: 1.8em;
}

.visualizarProjeto {
  height: 50px;
  width: 200px;
  border: 3px solid rgb(41, 73, 253);
  background: #000;
  color: #fff;
  border-radius: 5px;
  font-size: 1em;
  font-weight: bold;
  transition: 0.5s ease-in-out;
  margin-bottom: 20px;
}

.visualizarProjeto:hover {
  border: 3px solid aqua;
  color: rgb(0, 209, 209);
}

.habilidades {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.linguagem {
  margin: 10px;
  width: 90px;
  height: 90px;
  background-color: #1e3f88;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.linguagem.bg {
  background-size: 70px;
  background-repeat: no-repeat;
  background-position: center;
  transition: 0.5s ease-in-out;
}

.linguagem.bg.react-native {
  background-image: url("../images/react-nativeEsc.png");
}

.linguagem.bg.typescript {
  background-image: url("../images/typescriptEsc.png");
}

.linguagem.bg.mongodb {
  background-image: url("../images/mongodbEsc.png");
}

.linguagem.bg.nodeJs {
  background-image: url("../images/NodeJsEsc.png");
}

.linguagem.bg.angular {
  background-image: url("../images/angularEsc.png");
}

.divTextoHabilidade {
  opacity: 0;
  transition: opacity 0.7s;
  color: #fff;
}

.visivel {
  opacity: 1;
}

.descricaoLinguagem {
  font-size: 1.5em;
}

.instrucao {
  font-size: 1.5em;
  text-align: center;
  margin-top: 30px;
  color: #fff;
}

.conhecimento {
  margin-top: 20px;
  color: #53c1de;
}

footer {
  background-color: #000;
  color: white;
  font-family: "Poppins", sans-serif;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 30px;
}

.icone {
  border: 2px solid white;
  padding: 5px;
  border-radius: 5px;
  margin-right: 10px;
  font-size: 50px;
}

.icone:hover {
  transition: 0.5s;
  background-color: #fff;
  color: #000;
}

.redes a {
  text-decoration: none;
  color: white;
}

.email-inputs {
  display: flex;
  flex-direction: column;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  align-items: center;
  margin-top: 3%;
}

label {
  font-size: 1.5em;
  color: #fff;
  align-self: flex-start;
}

.email-inputs input {
  width: 90%;
  margin-top: 1%;
  margin-bottom: 5%;
  font-size: 1.5em;
  border-radius: 10px;
  border: none;
  outline: none;
  padding-left: 5px;
  height: 45px;
  background: linear-gradient(to right, #224694, #0a2d7a, #08235e);
  color: white;
}

.submit-btn {
  width: 25%;
  height: 40px;
  border-radius: 10px;
  border: none;
  border: 3px solid rgb(41, 73, 253);
  background: #000;
  font-size: 1em;
  font-weight: bold;
  transition: 0.5s ease-in-out;
  margin-bottom: 20px;
  outline: none;
}

.submit-btn:hover {
  border: 3px solid aqua;
  color: rgb(0, 209, 209);
}

.submit-btn a {
  text-decoration: none;
  color: white;
  outline: none;
}
